RelayAPI

Complete OAuth callback

Exchange OAuth code for tokens and save the account.

POST
/v1/connect/{platform}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

platform*string

OAuth platform to complete

Value in

  • "twitter"
  • "instagram"
  • "facebook"
  • "linkedin"
  • "tiktok"
  • "youtube"
  • "pinterest"
  • "reddit"
  • "threads"
  • "snapchat"
  • "googlebusiness"
  • "mastodon"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/connect/twitter" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "account": {    "id": "string",    "platform": "twitter",    "platform_account_id": "string",    "username": "string",    "display_name": "string",    "avatar_url": "string",    "metadata": {      "property1": null,      "property2": null    },    "workspace": {      "id": "string",      "name": "string"    },    "connected_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo